<template>
  <div class="total-energy font-semibold">
    <div class="flex justify-between">
      <div class="text-xl font-semibold">ระบบไฟส่องสว่างทั้งหมด</div>

      <img
        :src="require('~/assets/images/graph 1.svg')"
        alt="graph 1.svg"
        class="cursor-pointer"
        @click="show_modal = true"
      />
    </div>

    <div class="text-center mt-4">
      <img
        :src="require('~/assets/images/Group 722.svg')"
        alt="Group 722.svg"
        class="mx-auto w-[80px]"
      />

      <div class="text-3xl text-yellow mt-2">{{ total_energy }}</div>

      <div class="text-xl">kWh</div>
    </div>

    <div v-if="show_modal" class="fixed inset-0 z-50">
      <div
        class="absolute bg-black bg-opacity-80 inset-0"
        @click="show_modal = false"
      ></div>

      <div
        class="rounded-md bg-darkblue p-8 absolute top-2/4 left-2/4 transform -translate-x-2/4 -translate-y-2/4 w-5/6 overflow-auto max-h-[85%]"
      >
        <LightingTotalEnergyModal :light_data="light_data" />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    total_energy: {
      type: Number,
      default: 0,
    },
    light_data: {
      type: Array,
      default: () => {
        return [];
      },
    },
  },
  data() {
    return {
      show_modal: false,
    };
  },
};
</script>

<style lang="scss" scoped></style>
